/*******************************************************************************
* File Name: SEG_E.h  
* Version 2.20
*
* Description:
*  This file contains the Alias definitions for Per-Pin APIs in cypins.h. 
*  Information on using these APIs can be found in the System Reference Guide.
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_SEG_E_ALIASES_H) /* Pins SEG_E_ALIASES_H */
#define CY_PINS_SEG_E_ALIASES_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"


/***************************************
*              Constants        
***************************************/
#define SEG_E_0			(SEG_E__0__PC)
#define SEG_E_0_PS		(SEG_E__0__PS)
#define SEG_E_0_PC		(SEG_E__0__PC)
#define SEG_E_0_DR		(SEG_E__0__DR)
#define SEG_E_0_SHIFT	(SEG_E__0__SHIFT)
#define SEG_E_0_INTR	((uint16)((uint16)0x0003u << (SEG_E__0__SHIFT*2u)))

#define SEG_E_INTR_ALL	 ((uint16)(SEG_E_0_INTR))


#endif /* End Pins SEG_E_ALIASES_H */


/* [] END OF FILE */
